CREATE OR REPLACE PROCEDURE DASHBOARD_PROCEDURES (
    P_DTFINAL IN DATE DEFAULT SYSDATE
 ) AS

BEGIN

    DASHBOARD_FIN_SALDO_CONTAS(P_DTFINAL);

    DASHBOARD_FIN_TITULOS_REC;

    DASHBOARD_FIN_TITULOS_PAG;

    DASHBOARD_FIN_DIVISAO_RECEITAS;

    DASHBOARD_FIN_DIVISAO_DESPESAS;

    DASHBOARD_FIN_CLI_INAD;

    DASHBOARD_FIN_COUNT;

    DASHBOARD_FIS_COUNT;

    DASHBOARD_FIN_FLUXO_CAIXA;
    
    -- atualizacao de informacoes no dashboard corporativo do VND
    DASHBOARD_FIN_VND;

END;
/

DECLARE
   V_JOB_EXISTS NUMBER;
BEGIN
   SELECT COUNT(*) INTO V_JOB_EXISTS
     FROM USER_SCHEDULER_JOBS
    WHERE JOB_NAME = 'JOB_DASHBOARD_ERP';

   IF V_JOB_EXISTS > 0 THEN
      DBMS_SCHEDULER.DROP_JOB(JOB_NAME => 'JOB_DASHBOARD_ERP');
   END IF;

   DBMS_SCHEDULER.CREATE_JOB (
      job_name           =>  'JOB_DASHBOARD_ERP',
      job_type           =>  'PLSQL_BLOCK',
      job_action         =>  'BEGIN DASHBOARD_PROCEDURES(); END;',
      repeat_interval    =>  'FREQ=HOURLY; BYHOUR=0,4,8,12,16,20; BYMINUTE=0; BYSECOND=0;',
      end_date           =>   NULL,
      auto_drop          =>   FALSE,
      job_class          =>  'DEFAULT_JOB_CLASS',
      ENABLED            =>   TRUE,
      comments           =>  'JOB PARA DASHBOARD DO ERP'
   );
END;
/